Package com.verisign.epp.codec.registry.v02

## Class EPPRegistryDomainNSLimit

- java.lang.Object
- - com.verisign.epp.codec.registry.v02.EPPRegistryAbstractMinMax
  - - com.verisign.epp.codec.registry.v02.EPPRegistryDomainNSLimit

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPRegistryDomainNSLimit
      extends EPPRegistryAbstractMinMax

  Defines the minimum and maximum number of delegated host objects (name servers) that can be associated with a domain object.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPRegistryDomainNSLimit`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPRegistryContactCity`.

    - ### Fields inherited from class com.verisign.epp.codec.registry.v02.EPPRegistryAbstractMinMax

      `ELM_MAX, ELM_MAX_LENGTH, ELM_MIN, ELM_MIN_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPRegistryDomainNSLimit()` | Creates a new `EPPRegistryDomainNSLimit` object.
    `EPPRegistryDomainNSLimit​(int aMin, int aMax)` | Creates a new `EPPRegistryDomainNSLimit` object that takes both the minimum and maximum values as `int`'s.
    `EPPRegistryDomainNSLimit​(java.lang.Integer aMin, java.lang.Integer aMax)` | Creates a new `EPPRegistryDomainNSLimit` object that takes both the minimum and maximum values as `Integer`'s.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `getElmMax()` | Gets the maximum element local name.
    `protected java.lang.String` | `getElmMin()` | Gets the minimum element local name.
    `protected org.slf4j.Logger` | `getLogger()` | Gets the `Logger` to use.
    `protected java.lang.String` | `getRootName()` | Gets the root element local name.

    - ### Methods inherited from class com.verisign.epp.codec.registry.v02.EPPRegistryAbstractMinMax

      `clone, decode, encode, equals, getMax, getMin, getNamespace, setMax, setMin, toString, validateState`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryDomainNSLimit`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryContactCity`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryDomainNSLimit

          public EPPRegistryDomainNSLimit()

      Creates a new `EPPRegistryDomainNSLimit` object.

    - #### EPPRegistryDomainNSLimit

          public EPPRegistryDomainNSLimit​(java.lang.Integer aMin,
                                          java.lang.Integer aMax)

      Creates a new `EPPRegistryDomainNSLimit` object that takes both the minimum and maximum values as `Integer`'s.
      Parameters:
        `aMin` - Minimum value
        `aMax` - Maximum value

    - #### EPPRegistryDomainNSLimit

          public EPPRegistryDomainNSLimit​(int aMin,
                                          int aMax)

      Creates a new `EPPRegistryDomainNSLimit` object that takes both the minimum and maximum values as `int`'s.
      Parameters:
        `aMin` - Minimum value
        `aMax` - Maximum value

  - ### Method Detail

    - #### getRootName

          protected java.lang.String getRootName()

      Gets the root element local name.
      Specified by:
        `getRootName` in class `EPPRegistryAbstractMinMax`
      Returns:
        Root element local name.

    - #### getElmMin

          protected java.lang.String getElmMin()

      Gets the minimum element local name.
      Specified by:
        `getElmMin` in class `EPPRegistryAbstractMinMax`
      Returns:
        Minimum element local name.

    - #### getElmMax

          protected java.lang.String getElmMax()

      Gets the maximum element local name.
      Specified by:
        `getElmMax` in class `EPPRegistryAbstractMinMax`
      Returns:
        Maximum element local name.

    - #### getLogger

          protected org.slf4j.Logger getLogger()

      Gets the `Logger` to use.
      Specified by:
        `getLogger` in class `EPPRegistryAbstractMinMax`
      Returns:
        `Logger` instance to use for logging.